org.eclipse.eef.properties.ui.internal.page.propertylist

## Class EEFTabbedPropertyListColorHolder

- java.lang.Object
- - org.eclipse.eef.properties.ui.internal.page.propertylist.EEFTabbedPropertyListColorHolder

    public class EEFTabbedPropertyListColorHolder
    extends java.lang.Object

Utility class used to initialize and hold colors.

### Constructor Summary

Constructors
Constructor and Description
`EEFTabbedPropertyListColorHolder(EEFWidgetFactory widgetFactory)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.swt.graphics.Color` `getBottomNavigationElementShadowStroke1()` Returns the first bottom navigation element shadow stroke color.
`org.eclipse.swt.graphics.Color` `getBottomNavigationElementShadowStroke2()` Returns the second bottom navigation element shadow stroke color.
`org.eclipse.swt.graphics.Color` `getDefaultGradientEnd()` Returns the default gradient end color.
`org.eclipse.swt.graphics.Color` `getDefaultGradientStart()` Returns the default gradient start color.
`org.eclipse.swt.graphics.Color` `getHoverGradientEnd()` Returns the hover gradient end color.
`org.eclipse.swt.graphics.Color` `getHoverGradientStart()` Returns the hover gradient start color.
`org.eclipse.swt.graphics.Color` `getIndentedDefaultBackground()` Returns the indented default background color.
`org.eclipse.swt.graphics.Color` `getIndentedHoverBackground()` Returns the indented hover background color.
`org.eclipse.swt.graphics.Color` `getListBackground()` Returns the list background color.
`org.eclipse.swt.graphics.Color` `getNavigationElementShadowStroke()` Returns the navigation element shadow stroke color.
`org.eclipse.swt.graphics.Color` `getWidgetBackground()` Returns the widget background color.
`org.eclipse.swt.graphics.Color` `getWidgetDarkShadow()` Returns the widget dark shadow color.
`org.eclipse.swt.graphics.Color` `getWidgetForeground()` Returns the widget foreground color.
`org.eclipse.swt.graphics.Color` `getWidgetNormalShadow()` Returns the widget normal shadow color.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EEFTabbedPropertyListColorHolder

    public EEFTabbedPropertyListColorHolder(EEFWidgetFactory widgetFactory)

The constructor.

Parameters:
  `widgetFactory` - The widget factory

### Method Detail

#### getWidgetForeground

    public org.eclipse.swt.graphics.Color getWidgetForeground()

Returns the widget foreground color.

Returns:
  The widget foreground color

#### getWidgetNormalShadow

    public org.eclipse.swt.graphics.Color getWidgetNormalShadow()

Returns the widget normal shadow color.

Returns:
  The widget normal shadow color

#### getListBackground

    public org.eclipse.swt.graphics.Color getListBackground()

Returns the list background color.

Returns:
  The list background color

#### getIndentedHoverBackground

    public org.eclipse.swt.graphics.Color getIndentedHoverBackground()

Returns the indented hover background color.

Returns:
  The indented hover background color

#### getHoverGradientStart

    public org.eclipse.swt.graphics.Color getHoverGradientStart()

Returns the hover gradient start color.

Returns:
  The hover gradient start color

#### getHoverGradientEnd

    public org.eclipse.swt.graphics.Color getHoverGradientEnd()

Returns the hover gradient end color.

Returns:
  The hover gradient end color

#### getIndentedDefaultBackground

    public org.eclipse.swt.graphics.Color getIndentedDefaultBackground()

Returns the indented default background color.

Returns:
  The indented default background color

#### getDefaultGradientStart

    public org.eclipse.swt.graphics.Color getDefaultGradientStart()

Returns the default gradient start color.

Returns:
  The default gradient start color

#### getDefaultGradientEnd

    public org.eclipse.swt.graphics.Color getDefaultGradientEnd()

Returns the default gradient end color.

Returns:
  The default gradient end color

#### getWidgetBackground

    public org.eclipse.swt.graphics.Color getWidgetBackground()

Returns the widget background color.

Returns:
  The widget background color

#### getWidgetDarkShadow

    public org.eclipse.swt.graphics.Color getWidgetDarkShadow()

Returns the widget dark shadow color.

Returns:
  The widget dark shadow color

#### getNavigationElementShadowStroke

    public org.eclipse.swt.graphics.Color getNavigationElementShadowStroke()

Returns the navigation element shadow stroke color.

Returns:
  The navigation element shadow stroke color

#### getBottomNavigationElementShadowStroke1

    public org.eclipse.swt.graphics.Color getBottomNavigationElementShadowStroke1()

Returns the first bottom navigation element shadow stroke color.

Returns:
  The first bottom navigation element shadow stroke color

#### getBottomNavigationElementShadowStroke2

    public org.eclipse.swt.graphics.Color getBottomNavigationElementShadowStroke2()

Returns the second bottom navigation element shadow stroke color.

Returns:
  The second bottom navigation element shadow stroke color